Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 617894 - Horde upgrade script requires unavailable PHP module
Horde upgrade script requires unavailable PHP module
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: horde (Show other bugs)
el5
All Linux
low Severity medium
: ---
: ---
Assigned To: Nick Bebout
Fedora Extras Quality Assurance
:
: 618039 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-24 14:02 EDT by Chris Adams
Modified: 2011-03-16 14:18 EDT (History)
3 users (show)

See Also:
Fixed In Version: php-pear-MDB2-Schema-0.8.0-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-04 21:28:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RPM spec file for php-pear-MDB2-Schema (2.04 KB, text/plain)
2010-12-06 11:46 EST, Chris Adams
no flags Details

  None (edit)
Description Chris Adams 2010-07-24 14:02:40 EDT
When upgrading from Horde 3.2.x to 3.3.x, you must run "php scripts/upgrades/2008-08-29_fix_mdb2_sequences.php".  However, this script requires the PHP module MDB2_Schema, which is not available from EPEL or Fedora.

I managed to package MDB2_Schema for my system (but I'm no PHP expert so I do not feel qualified to package it for EPEL/Fedora).  Only version 0.8.0 would build on RHEL 5, due to dependencies.

For future Horde updates (in both EPEL and Fedora), the upgrade scripts need to be checked to make sure they will run.
Comment 1 Nick Bebout 2010-07-25 15:42:15 EDT
*** Bug 618039 has been marked as a duplicate of this bug. ***
Comment 2 Nick Bebout 2010-07-25 15:42:48 EDT
I'll look at this when I get back from vacation the first of August.
Comment 3 Nick Bebout 2010-12-05 22:20:13 EST
Hi Chris, would you mind sharing your SPEC for your MDB2_Schema package?  I can look into maintaining it for Fedora
Comment 4 Chris Adams 2010-12-06 11:45:48 EST
Sure, here it is (pretty much cut&paste from another php-pear package IIRC).  It worked for me, but like I said, I'm no PHP/pear expert, so no guarantees it is a good spec. :)
Comment 5 Chris Adams 2010-12-06 11:46:21 EST
Created attachment 465019 [details]
RPM spec file for php-pear-MDB2-Schema
Comment 6 Nick Bebout 2011-02-24 19:56:10 EST
https://bugzilla.redhat.com/show_bug.cgi?id=680308

This is the review request for including the package in Fedora (basically it's mostly your package, I modified a few things and upgraded it to the latest release)
Comment 7 Nick Bebout 2011-02-24 19:57:08 EST
(As you have noted, I may need to build 0.8.0 on EPEL, but I'm just filing the review request with the latest version, since that's what I'll ship on Fedora)
Comment 8 Fedora Update System 2011-02-28 15:19:40 EST
Package php-pear-MDB2-Schema-0.8.5-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-pear-MDB2-Schema-0.8.5-1.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/php-pear-MDB2-Schema-0.8.5-1.fc15
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2011-02-28 15:19:52 EST
Package php-pear-MDB2-Schema-0.8.5-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-pear-MDB2-Schema-0.8.5-1.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/php-pear-MDB2-Schema-0.8.5-1.fc13
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2011-02-28 15:20:03 EST
Package php-pear-MDB2-Schema-0.8.5-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-pear-MDB2-Schema-0.8.5-1.el6'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/php-pear-MDB2-Schema-0.8.5-1.el6
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2011-02-28 15:20:16 EST
Package php-pear-MDB2-Schema-0.8.5-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-pear-MDB2-Schema-0.8.5-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/php-pear-MDB2-Schema-0.8.5-1.fc14
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2011-02-28 18:55:32 EST
php-pear-MDB2-Schema-0.8.5-1.el6 has been pushed to the Fedora EPEL 6 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pear-MDB2-Schema'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/php-pear-MDB2-Schema-0.8.5-1.el6
Comment 13 Fedora Update System 2011-03-01 07:08:08 EST
Package php-pear-MDB2-Schema-0.8.0-2.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-pear-MDB2-Schema-0.8.0-2.el5'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/php-pear-MDB2-Schema-0.8.0-2.el5
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2011-03-04 21:28:29 EST
php-pear-MDB2-Schema-0.8.5-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2011-03-09 15:50:52 EST
php-pear-MDB2-Schema-0.8.5-1.fc13 has been pushed to the Fedora 13 stable repository.
Comment 16 Fedora Update System 2011-03-09 15:55:14 EST
php-pear-MDB2-Schema-0.8.5-1.fc14 has been pushed to the Fedora 14 stable repository.
Comment 17 Fedora Update System 2011-03-16 14:17:32 EDT
php-pear-MDB2-Schema-0.8.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 18 Fedora Update System 2011-03-16 14:18:14 EDT
php-pear-MDB2-Schema-0.8.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.